petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscBLASIntCast

casts a PetscInt (which may be 64 bits in size) to a PetscBLASInt (which may be 32 bits in size), generates an error if the PetscBLASInt is not large enough to hold the number.

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscBLASIntCast(PetscInt a,PetscBLASInt *b)

Not Collective

### Input Parameter

a -the PetscInt value

### Output Parameter

b -the resulting PetscBLASInt value

Not available from Fortran

### See Also

PetscBLASInt, PetscMPIInt, PetscInt, PetscMPIIntCast(), PetscIntCast()

### Level

advanced

### Location

include/petscsys.h

### Examples

src/ts/examples/tutorials/ex50.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages